#!/bin/bash

# for rn in 128 256 512 1024; do
for rn in 256; do
    echo "starting recompute n: ${rn}"
    WANDB_MODE=disabled \
    PYTHONPATH=./src/hip_research \
    ATTN_IMPLEMENTATION=hip_attention \
    USE_ATTN_POSTFIX=1 \
    python src/hip_research/main/long_eval_decode_test.py \
        --batch-size 1 \
        --long-ce-k 1024 \
        --recompute-n $rn \
        --seq-len 8192 \
        --long-ce-gamma 5 \
        --dataset owt \
        --model meta-llama/Llama-3.2-1B-Instruct
done
